What releases of APM TIM, MTP/VMTP, and ADA are compatible?

Document ID:  TEC1241257
Last Modified Date:  06/21/2017
{{active ? 'Hide' : 'Show'}} Technical Document Details

Products

  • CA Application Performance Management
  • CA Application Delivery Analysis Multi-Port Monitor
  • CA Application Delivery Analysis

Releases

  • CA Application Performance Management:Release:10.0
  • CA Application Delivery Analysis Multi-Port Monitor:Release:10.0
  • CA Application Delivery Analysis Multi-Port Monitor:Release:10.1
  • CA Application Delivery Analysis Multi-Port Monitor:Release:10.3
  • CA Application Delivery Analysis Multi-Port Monitor:Release:10.4
  • CA Application Delivery Analysis Multi-Port Monitor:Release:2.1
  • CA Application Delivery Analysis Multi-Port Monitor:Release:9.2
  • CA Application Delivery Analysis Multi-Port Monitor:Release:10.5
  • CA Application Delivery Analysis:Release:10.0
  • CA Application Delivery Analysis:Release:10.1
  • CA Application Delivery Analysis:Release:10.2
  • CA Application Delivery Analysis:Release:10.3
  • CA Application Delivery Analysis:Release:10.4
  • CA Application Delivery Analysis:Release:10.5
  • CA Application Delivery Analysis:Release:9.2
  • CA Application Delivery Analysis:Release:9.2 SP1
  • CA Application Delivery Analysis:Release:9.3
  • CA Application Performance Management:Release:10.1
  • CA Application Performance Management:Release:10.2
  • CA Application Performance Management:Release:10.3
  • CA Application Performance Management:Release:10.5
  • CA Application Performance Management:Release:10.5.1
  • CA Application Performance Management:Release:CA APM 9.6
  • CA Application Performance Management:Release:CA APM 9.7

Components

  • WILY CEM:APMCEM
  • NQNVYT - NETVOYANT:NQNVYT
Summary:

   To date, there is no official list of all compatible APM TIM, ADA and MTP releases. To offset this gap, this unofficial equivalent was created. References are provided whenever possible. Note that for APM 10 and onward, the compatibility guides list the corresponding compatible MTP releases.

For ADA-MTP release compatibility, the information was pulled out of the ADA release notes and other sources. ADA releases explicitly supported are underlined. However, the ADA-MTP information is presented AS-IS and may no longer be current.

Environment:
All Supported APM, MTP, and VMTP releases.
Instructions:

1. Operating Systems

               The table below lists the corresponding MTP, ADA, and OS versions: 

               The recommended release is underlined.

 

 MTP/VMTP Version

 CentOS Version

ADA/SuperAgent Version

2.2

CentOS 5.5 64-bit Linux

 ADA Super Agent 9.1. But should also work with SA 9.0 and 9.0 sp 1 (not recommended).

9.2

CentOS 5.7 64-bit Linux

ADA Super Agent 9.1, ADA 9.2 and 9.3. Not Compatible with ADA 10. 

10.0

CentOS 5.9 64-bit Linux

ADA 9.2, 9.3, 10, 10.4

10.1

CentOS 5.11 64-bit Linux

ADA 9.3, 10.0, 10.1

10.2

CentOS 5.11 64-bit Linux

ADA 10.0, 10.1, 10.2, 10.4

10.3

CentOS 6.6 64-bit Linux

ADA 10.0, 10.1, 10.2,10.3, 10.4

10.4

CentOS 6.7 64 bit Linux

ADA 10.010.110.2,10.3, 10.4

10.5 

CentOS 6.7 64 bit Linux

ADA 10.5, 10.6, 11.0

10.6

CentOS 6.7 64 bit Linux (VMTP)

ADA 10.5, 10.6, 11.0

11.0/11.01

CentOS 6.7 64 bit Linux (VMTP)

ADA  11.0

 

 

          The table below lists the corresponding CentOS and MTP versions.

Important Note: There is no supported upgrade path from vMTP 10.6 to 11.0.1.

APM Version

MTP Version

Source Number

9.0

 None

1

9.1

2.2,9.2

8, 9,10

9.1.0.1

2.2

9

9.1.1.1

2.2, 9.2

9

9.1.2

2.2

9

9.1.4

2.2, 9.2

9

9.1.6

9.2

9

9.5

2.2, 9.2

9.5.1

10

2

9.5.2

10

2

9.5.3

10

2

9.6

9.2, 10

2,7

9.7

9.2,10.0,10.1, 10.2 

3, 6 (Workaround), 11

10.0

10.1 , 10.2

6 (Workaround), 12

10.1

10.1 , 10.2 , 

10.3 (with APM 10.1 Hotfix)

10.4 (with APM 10.1 Hotfix) 

10.5 (with APM 10.1 Hotfix)

10.6 (See TEC1084614.)

6 (Workaround), 13, 16, 18

 

10.2

10.1 , 10.2

10.3 (with APM 10.2 Hotfix)

10.4 (with APM 10.2 Hotfix) 

10.5 (with APM 10.2 Hotfix)

 

 

 

 6 (Workaround), 17

10.3

 10.1 , 10.2, 10.3-10.5 (with workaround) 

10.6 (See TEC1084614.)

 6 (Workaround),

16, 18

 

10.5/10.5.1/10.5.1 HF 9

10.1, 10.2, 10.3, 10.4, 10.5

VMTP 10.6, VMTP 11.01 (tested with APM 10.5.1 only)

 5, 14, 15, 16, 19

 

      Notes:

      1. The MTP 10.0 Release Notes says that it support APM 9.1 & 9.5. But this does not appear to be the case.

     2. The MTP 10.0/10.1 Compatibility Guide explicitly says that MTP 2.2 is not supported with these releases.

     3. Currently, no APM release supports VMTP 11.0.

Additional Information:

1. MTP Support Guide 10.0 Edition (Internal)

     2.  https://communities.ca.com/docs/DOC-231149747 -- Tech Tip - CEM TIM that are compatible with MTP 10

     3.  https://communities.ca.com/message/241735603 --  Tech Tip: APM 9.7 TIM for the MTP Appliance (CA ADA Multi-Port Monitor)

     4.  https://communities.ca.com/thread/241742275    --  MTP 10.3 and TIM Compatibility
     5.  http://www.ca.com/us/support/ca-support-online/product-content/knowledgebase-articles/tec1643212.aspx  --  MTP 10.3 and TIM Compatibility

     6.  http://www.ca.com/us/support/ca-support-online/product-content/knowledgebase-articles/TEC1440118.aspx  Getting error: "File not found by glob: tim-[1-9]

         *.rpm" during the APM 9.7.x TIM installation on MTP. APM 9.7/10 TIM 10.1/10.2

      7. http://www.ca.com/us/support/ca-support-online/product-content/knowledgebase-articles/tec616111.aspx -- Install/upgrade steps for a APM 9.6 TIM running

          on the MTP Appliance (CA ADA Multi-Port Monitor).

      8. MTP 2.2 Release Notes

      9. Internal Email on MTP-TIM Compatibility.

    10. MTP 9.2 Release Notes

    11. http://www.ca.com/us/support/ca-support-online/product-content/knowledgebase-articles/TEC1908279.aspx  --  Install/upgrade steps for a APM 9.7 TIM

          running on the MTP Appliance (CA ADA Multi-Port Monitor).

    12. APM 10.0 Compatibility Guide (Look in Integrations and Other Extensions Tab.)

    13. APM 10.1 Compatibility Guide (Look in Integrations and Other Extensions Tab.)

    14. http://www.ca.com/us/support/ca-support-online/product-content/knowledgebase-articles/TEC1185456.aspx -- MTP 10.4 and TIM Compatibility

    15. http://www.ca.com/us/support/ca-support-online/product-content/knowledgebase-articles/TEC1546373.aspx -- MTP 10.5 and TIM Compatibility

    16. http://www.ca.com/us/support/ca-support-online/product-content/knowledgebase-articles/TEC1292722.aspx -- MTP 10.6 and TIM Compatibility

    17. http://www.ca.com/us/support/ca-support-online/product-content/knowledgebase-articles/TEC1659788.aspx -- APM 10.2 and MTP Compatibility

    18. http://www.ca.com/us/support/ca-support-online/product-content/knowledgebase-articles/TEC1084614.aspx -- Installing APM 10.1/APM 10.3 with vMTP 10.6.

    19. APM Compatibility Database  -- http://pcm.ca.com/?op=Search&solution=grp-APM&Submit=Select+solution

Please help us improve!

Will this information enable you to resolve your issue?

Please tell us what we can do better.

{{feedbackText.length ? feedbackText.length : '0'}}/255

{{status}}

Not what you were looking for?

Search Again >

Product Information

Support by Product >

Communities

Join a Community >

Chat with CA

Just give us some brief information and we'll connect you to the right CA ExpertCA sales representative.

Our hours of availability are 8AM - 5PM CST.

All Fields Required

connecting

We're matching your request.

Unfortunately, we can't connect you to an agent. If you are not automatically redirected please click here.

  • {{message.agentProfile.name}} will be helping you today.

    View Profile


  • Transfered to {{message.agentProfile.name}}

    {{message.agentProfile.name}} joined the conversation

    {{message.agentProfile.name}} left the conversation

  • Your chat with {{$storage.chatSession.messages[$index - 1].agentProfile.name}} has ended.
    Thank you for your interest in CA.


    Rate Your Chat Experience.

    {{chat.statusMsg}}

agent is typing